<link href="https://fonts.googleapis.com/css?family=Athiti:600" rel="stylesheet">

<ion-header no-border style="margin-top: 5%; margin-bottom: 5%;">
  <ion-navbar class="header">
    <button ion-button menuToggle>
      <ion-icon name="menu" class="icon-header"></ion-icon>
    </button>
    <ion-title>
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="auth-bg bg-all">
  <ion-grid style="margin-top: 10%;">
    <ion-row>
      <ion-col col-12 class="menudiv" text-center>
        <ion-item no-lines class="menubar">
          <ion-label class="fontmenu">แบบประเมิน SDQ</ion-label>
        </ion-item>
        <ion-item no-border no-lines class="level">
          <img style="border-radius: 50%;" class="image-title" src="{{student_img}}">
          <ion-icon *ngIf="student_level == '1' || student_level == '2' " name="md-bookmark" class="bookmark">
          </ion-icon>
          <ion-icon *ngIf="student_level == '1' " name="md-star" class="star"></ion-icon>
        </ion-item>
      </ion-col>
    </ion-row>

    <ion-item style="width: 94%; margin-left: 3%; margin-top: 10px; border-radius: 5px; opacity: 0.9;">
      <ion-label *ngIf="question_number != '' && flagOpen == 'y' " style="font-size: 3.5vw; ">{{qusindex+1}} .
        {{qusnow}}</ion-label>
      <ion-label *ngIf="question_number == ''  && flagOpen == 'y' " style="font-size: 4vw; " text-center>ทำแบบสอบถามแล้ว
      </ion-label>
      <ion-label *ngIf=" flagOpen == 'n' " style="font-size: 4vw; " text-center>ยังไม่เปิดให้ทำ SDQ</ion-label>

    </ion-item>
    <ion-list radio-group [(ngModel)]="relationship" *ngIf="question_number != ''   && flagOpen == 'y'  ">

      <ion-item style="width: 94%; margin-left: 3%; margin-top: 10px; border-radius: 5px; opacity: 0.9;">
        <ion-label>{{ans[0]}}</ion-label>
        <ion-radio (click)="clickC('0')" value="0" checked></ion-radio>
      </ion-item>

      <ion-item style="width: 94%; margin-left: 3%; margin-top: 10px; border-radius: 5px; opacity: 0.9;">
        <ion-label>{{ans[1]}}</ion-label>
        <ion-radio (click)="clickC('1')" value="1"></ion-radio>
      </ion-item>

      <ion-item style="width: 94%; margin-left: 3%; margin-top: 10px; border-radius: 5px; opacity: 0.9;">
        <ion-label>{{ans[2]}}</ion-label>
        <ion-radio (click)="clickC('2')" value="2"></ion-radio>
      </ion-item>

      <ion-item *ngIf="hide" style="width: 94%; margin-left: 3%; margin-top: 10px; border-radius: 5px; opacity: 0.9;">
        <ion-label>{{ans[3]}}</ion-label>
        <ion-radio (click)="clickC('3')" value="3"></ion-radio>
      </ion-item>

    </ion-list>


    <ion-row>
      <!-- <ion-item no-lines class="menubar" >
      <ion-label text-center>แบบประเมิน SDQ</ion-label>
    </ion-item> -->

      <button *ngIf="question_number != ''   && flagOpen == 'y'  "
        style="width: 30%; height:40px; margin-left: 35%; font-size: 4vw; margin-top: 20px;" ion-button class="btnhome"
        (click)="next(qusindex+1)">
        ถัดไป
      </button>

    </ion-row>

  </ion-grid>
</ion-content>